/* Duck.h declares class Duck,
 *  a subclass of FlyingBird.
 * ...
 */
 
#ifndef DUCK
#define DUCK

#include "FlyingBird.h"
#include "RandomInt.h"

class Duck : public FlyingBird
{
 public:
   Duck();
   
   virtual string getMovement() const;
   
   virtual string getCall() const;
};

inline Duck::Duck() : FlyingBird("duck") {}

inline string Duck::getMovement() const
{
  RandomInt coin(0, 1);
  return (coin == 0) ? FlyingBird::getMovement() : string("waddled");
}

inline string Duck::getCall() const { return "quack-quack"; }

#endif
